<Manage::FieldContainer
  @title={{@title}}
  @isDisabled={{@isDisabled}}
  @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}}
  @value={{@value}}
  @onEdit={{@onEdit}}
  @onSave={{@onSave}}
  @onCancel={{@onCancel}}
  class="manage-default-models"
  ...attributes
>
  <:view>
    {{#each this.pairs as |pair|}}
      <div class="model-value d-inline-block me-3 mb-3">
        <div class="model">
          {{t (concat "model-name." pair.name)}}
        </div>
        <div class="value">
          {{pair.value}}
        </div>
      </div>
    {{/each}}
  </:view>

  <:edit as | manager |>
    <Input::DefaultModels @value={{manager.value}} @team={{@team}} @onChange={{manager.change}} />
  </:edit>
</Manage::FieldContainer>

<div class="d-none" {{did-insert this.setup}} {{did-update this.setup @value}}></div>